Subject: Re: misleading diff-hunk header

From: Johannes Sixt <[email-masked]>
Date: Tue, 21 Aug 2012 19:39:33 +0200

Am 21.08.2012 17:42, schrieb Tim Chase:
> On 08/21/12 10:22, Thomas Rast wrote:
>>> misleadingly suggesting that the change occurred in the call_me()
>>> function, rather than in main()
>>
>> I think that's intentional, and matches what 'diff -p' does...
> 
> Okay...I tested "diff -p" and can't argue (much) with historical
> adherence.  It just makes it hard for me to gather some stats on the
> functions that changed, and requires that I look in more than one
> place (both in the header, and in the leading context) rather than
> having a single authoritative place to grep.

If it's only for stats, why not just remove the context with -U0?

-- Hannes